%define upstream_name    NEXT
%define upstream_version 0.69

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl5 implementation of NEXT (RFC190)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
NEXT.pm adds a pseudoclass named 'NEXT' to any program that uses it. If a
method 'm' calls '$self->NEXT::m()', the call to 'm' is redispatched as if
the calling method had not originally been found.

In other words, a call to '$self->NEXT::m()' resumes the depth-first,
left-to-right search of '$self''s class hierarchy that resulted in the
original call to 'm'.

Note that this is not the same thing as '$self->SUPER::m()', which begins a
new dispatch that is restricted to searching the ancestors of the current
class. '$self->NEXT::m()' can backtrack past the current class -- to look
for a suitable method in other ancestors of '$self' -- whereas
'$self->SUPER::m()' cannot.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README demo
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.690.0-3.mga10
+ Revision: 2207307
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.690.0-2.mga9
+ Revision: 1815993
- Mageia 9 Mass Rebuild

* Sat Jan 22 2022 tv <tv> 0.690.0-1.mga9
+ Revision: 1769402
- update to 0.69

* Tue Apr 20 2021 tv <tv> 0.680.0-1.mga9
+ Revision: 1717530
- update to 0.68

* Wed Feb 12 2020 umeabot <umeabot> 0.670.0-4.mga8
+ Revision: 1505507
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.670.0-3.mga7
+ Revision: 1285106
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.670.0-2.mga7
+ Revision: 1166028
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 sander85 <sander85> 0.670.0-1.mga7
+ Revision: 1157733
- update to 0.67
- update to 0.67

* Sun Jun 19 2016 pterjan <pterjan> 0.650.0-8.mga6
+ Revision: 1031344
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.650.0-7.mga6
+ Revision: 945386
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.650.0-6.mga5
+ Revision: 747039
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.650.0-5.mga5
+ Revision: 685611
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.650.0-4.mga4
+ Revision: 513351
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.650.0-3.mga3
+ Revision: 370431
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 26 2011 jquelin <jquelin> 0.650.0-2.mga1
+ Revision: 60598
- rebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.650.0-1.mga1
+ Revision: 22693
- cleaning spec file
- imported package perl-NEXT

